Bug 179265 - System freezes when trying to play audio CD
System freezes when trying to play audio CD
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Alan Cox
Brian Brock
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-29 07:33 EST by Geraldo Veiga
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-28 11:29:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Geraldo Veiga 2006-01-29 07:33:28 EST
Description of problem:
Loading of audio CD fails.  Trying to open it freezes the display, mouse and
keyboard.  CD ROM works when booting with Fedora installation CD.  Hardware also
works under MS Windows.


Version-Release number of selected component (if applicable):

2.6.14-1.1656_FC4 running on a Dell Inspiron 8100

How reproducible:
Always

Steps to Reproduce:
1. Boot machine
2. Insert CD
3. Double Click on icon
 
Actual results:
Display freezes

Expected results:
CD player should open with CD.

Additional info:
Different variations of this problem have been present in this machine for every
kernel in FC4.  Previously the CD would load correctly if present at boot.  In
the latest kernel update, it always fails.

This is an excerpt of /var/log/messages
---
Jan 29 08:01:06 localhost kernel: hdb: status error: status=0x58 { DriveReady
SeekComplete DataRequest }
Jan 29 08:01:06 localhost kernel: ide: failed opcode was: unknown
Jan 29 08:01:06 localhost kernel: hdb: drive not ready for command
Jan 29 08:01:07 localhost kernel: hdb: status error: status=0x7f { DriveReady
DeviceFault SeekComplete DataRequest CorrectedError Index Error }
Jan 29 08:01:07 localhost kernel: hdb: status error: error=0x7f {
IllegalLengthIndication EndOfMedia AbortedCommand MediaChangeRequested
LastFailedSense=0x07 }
Jan 29 08:01:07 localhost kernel: ide: failed opcode was: unknown
Jan 29 08:01:07 localhost kernel: hdb: DMA disabled
Jan 29 08:01:07 localhost kernel: hdb: drive not ready for command
Jan 29 08:01:07 localhost kernel: hdb: ATAPI reset complete
Jan 29 08:01:07 localhost kernel: hdb: status error: status=0x7f { DriveReady
DeviceFault SeekComplete DataRequest CorrectedError Index Error }
Jan 29 08:01:07 localhost kernel: hdb: status error: error=0x7f {
IllegalLengthIndication EndOfMedia AbortedCommand MediaChangeRequested
LastFailedSense=0x07 }
Jan 29 08:01:07 localhost kernel: ide: failed opcode was: unknown
Jan 29 08:01:07 localhost kernel: hdb: drive not ready for command
Jan 29 08:01:07 localhost kernel: hdb: ATAPI reset complete
Jan 29 08:01:07 localhost kernel: hdb: status error: status=0x7f { DriveReady
DeviceFault SeekComplete DataRequest CorrectedError Index Error }
Jan 29 08:01:07 localhost kernel: hdb: status error: error=0x7f {
IllegalLengthIndication EndOfMedia AbortedCommand MediaChangeRequested
LastFailedSense=0x07 }
Jan 29 08:01:07 localhost kernel: ide: failed opcode was: unknown
Jan 29 08:01:07 localhost kernel: hdb: drive not ready for command
Jan 29 08:01:07 localhost kernel: hdb: status error: status=0x7f { DriveReady
DeviceFault SeekComplete DataRequest CorrectedError Index Error }
Jan 29 08:01:07 localhost kernel: hdb: status error: error=0x7f {
IllegalLengthIndication EndOfMedia AbortedCommand MediaChangeRequested
LastFailedSense=0x07 }

...

Repeats ad-infinitum
---
Comment 1 Dave Jones 2006-02-03 00:32:42 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 2 Geraldo Veiga 2006-02-03 10:05:48 EST
After kernel update 2.6.15-1.1830_FC4 the problem is still there.
Comment 3 Dave Jones 2006-09-16 22:04:41 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 4 Geraldo Veiga 2006-09-17 01:18:52 EDT
Actually my FC4 tag in the previous post was a typo.  I some variation of this
problem in every FC5 kernel so far.

I am now running kernel 2.6.17-1.2187_FC5 .  The most recent upgrade.

1. Loading an audio CD will freeze the the Gnome session.  From /var/log/messages:

Sep 17 00:24:58 localhost kernel: hdb: status error: status=0x58 { DriveReady
SeekComplete DataRequest }
Sep 17 00:24:58 localhost kernel: ide: failed opcode was: unknown
Sep 17 00:24:58 localhost kernel: hdb: drive not ready for command
Sep 17 00:24:59 localhost kernel: hdb: status error: status=0x7f { DriveReady
DeviceFault SeekComplete DataRequest CorrectedError Index Error }
Sep 17 00:24:59 localhost kernel: hdb: status error: error=0x7f {
IllegalLengthIndication EndOfMedia AbortedCommand MediaChangeRequested
LastFailedSense=0x07 }
Sep 17 00:24:59 localhost kernel: ide: failed opcode was: unknown
Sep 17 00:24:59 localhost kernel: hdb: DMA disabled
Sep 17 00:24:59 localhost kernel: hdb: drive not ready for command
Sep 17 00:24:59 localhost kernel: hdb: ATAPI reset complete
Sep 17 00:24:59 localhost kernel: hdb: status error: status=0x7f { DriveReady
DeviceFault SeekComplete DataRequest CorrectedError Index Error }
Sep 17 00:24:59 localhost kernel: hdb: status error: error=0x7f {
IllegalLengthIndication EndOfMedia AbortedCommand MediaChangeRequested
LastFailedSense=0x07

...

repeats ad infinitum 


----

Data CDs can be read, but only if I boot the system with the disc loaded.
Comment 5 Dave Jones 2006-10-16 14:09:29 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 6 Alan Cox 2007-03-28 11:29:17 EDT
For two reasons I'm going to close this WONTFIX

- FC7 is using totally different drivers
- There is insufficient information to debug this problem (other 8100's work)
- The traces show the device dropping off the bus which isn't a kernel side bug

The reality is this isn't going to get fixed. You may want to check for new
firmware for the drive/BIOS updates.


Note You need to log in before you can comment on or make changes to this bug.